<?PHP

/* ====================
Land Down Under - Website engine
Copyright Neocrome
http://www.neocrome.net

[BEGIN_SED]
File=plugins/extended/visitorscounter/visitorscounter.php
Version=110
Updated=2006-mar-14
Type=Plugin.extended
Author=Alexander
Description=
[END_LDU]

[BEGIN_SED_EXTPLUGIN]
Code=visitorscounter
Part=VisitorsCounter
File=visitorscounter
Hooks=standalone
Tags=
Minlevel=0
Order=10
[END_SED_EXTPLUGIN]

==================== */

if ( !defined('SED_CODE') ) { die("Wrong URL."); }

$db_visitorscounter = "sed_visitorscounter";
require("plugins/".$pl['pl_code']."/lang/".$pl['pl_code'].".".$usr['lang'].".lang.php");

list($usr['auth_read'], $usr['auth_write'], $usr['isadmin']) = sed_auth('plug', 'visitorscounter');

$now = $sys['now'];
$daybegin = $sys['now'] - ( 3600 * date("G", $now) + 60 * date("i", $now) + date("s", $now) );
$timeago = $sys['now'] - ($cfg['plugin']['visitorscounter']['visit_admin_days'] * 86400 );

$vis = sed_import('vis','G','ALP');
$viewday = sed_import('viewday','G','TXT');

if (empty($vis)) { $vis = 'global'; }
if (empty($viewday)) { $viewday = date('Y-m-d',$daybegin); }

switch($vis)
{
        /* ==================================== */
        case 'global':
        /* ==================================== */
			
        sed_block($usr['auth_read']);
        for ($i = $cfg['plugin']['visitorscounter']['visit_admin_days']-1; $i >= 0; $i--)
        {
                if($i > 0 )
                {
                        $timebegin = $daybegin - 86400*$i;
                        $dat = date('Y-m-d',$timebegin);
                        $timeend = $daybegin - 86400*($i-1);
                }
                else
                {
                        $timebegin = $daybegin;
                        $dat = date('Y-m-d',$timebegin);
                        $timeend = $now;
                }

                $sql = sed_sql_query("SELECT COUNT(*) FROM $db_visitorscounter WHERE visitorscounter_date > $timebegin AND visitorscounter_date < $timeend ");
                if ($row = sed_sql_fetcharray($sql))
                {
                        $visits_d[$dat] = sed_sql_result($sql,0,"COUNT(*)");
                }
                $visits_d_max = max($visits_d);
        }

        $sql = sed_sql_query("SELECT COUNT(*) FROM $db_visitorscounter ");
        if ($row = sed_sql_fetcharray($sql))
        {
                $visits_total = sed_sql_result($sql,0,"COUNT(*)");
        }

        foreach ($visits_d as $day => $visits)
        {
                $percentbar = floor(($visits / $visits_d_max) * 100);
                $visitorsstat = "<tr><td style=\"text-align:center; padding:1px; width:128px;\"><a href=\"plug.php?e=visitorscounter&amp;vis=daydetails&amp;viewday=".$day."\">".$day."</a></td>";
                $visitorsstat .= "<td style=\"text-align:center; width:96px; padding:1px;\">".$visits."</td>";
                $visitorsstat .= "<td style=\"text-align:right; width:40px; padding:1px;\">$percentbar%</td><td>";
                $visitorsstat .= "<div style=\"width:100%;\"><div class=\"bar_back\">";
                $visitorsstat .= "<div class=\"bar_front\" style=\"width:".$percentbar."%;\"></div></div></div></td></tr>";

                $t->assign(array(
                    "VIS_ROW_STATS" => $visitorsstat
                    ));
                $t->parse("MAIN.GLOBAL.ROW");
        }

        $t->assign(array(
            "VIS_INFO" => $L['visitorscounter_lang_info1'].$cfg['plugin']['visitorscounter']['visit_admin_days'].$L['visitorscounter_lang_info2'].$visits_total.$L['visitorscounter_lang_info3'],
            "VIS_TITLE" => $L['visitorscounter_lang_title'],
            "VIS_DAY" => $L['visitorscounter_lang_day'],
            "VIS_VISITOR" => $L['visitorscounter_lang_visitor']
            ));
        $t->parse("MAIN.GLOBAL");
        break;

       /* ==================================== */
        case 'daydetails':
        /* ==================================== */

        sed_block($usr['isadmin']);
        $sql4 = sed_sql_query("SELECT * FROM $db_visitorscounter WHERE visitorscounter_day = '$viewday' ORDER BY visitorscounter_date DESC ");

        		$t-> assign(array(
                 "VIEW_BACK" => "<img src=\"skins/".$usr['skin']."/img/system/arrow-left.gif\" alt=\"asc\" /></a> <a href=\"plug.php?e=visitorscounter&amp;vis=global\">Back</a>",
                 ));

            while ( $row = sed_sql_fetcharray($sql4))
            {
            		$hourmin = date('H:i:s',$row['visitorscounter_date']);
                  $t-> assign(array(
                       "VIEW_DAY" => $row['visitorscounter_day'],
                       "VIEW_TIME" => $hourmin,
                       "VIEW_IP" => $row['visitorscounter_ip'],
                       "VIEW_HOST" => $row['visitorscounter_host'],
                       "VIEW_L_TIME" => $L['visitorscounter_lang_time'],
                       "VIEW_L_IP" => $L['visitorscounter_lang_ip'],
                       "VIEW_L_HOST" => $L['visitorscounter_lang_host']
                       ));
                       $t->parse("MAIN.DAY.ROW");
            }

            $t->parse("MAIN.DAY");
        break;
}

?>